Bug 99675 - Add BPMN diagram shapes to gallery
Summary: Add BPMN diagram shapes to gallery
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: andreas_k
URL:
Whiteboard:
Keywords: needsUXEval
Depends on:
Blocks: Gallery Gallery_7.0
  Show dependency treegraph
 
Reported: 2016-05-04 13:12 UTC by Heiko Tietze
Modified: 2020-04-02 11:27 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
BPMN Template Draw file (50.57 KB, application/vnd.oasis.opendocument.graphics)
2020-03-11 22:09 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2016-05-04 13:12:40 UTC
BPMN is a well known and widely used way to illustrate business processes. Specialized symbols were requested in the Draw survey.

https://en.wikipedia.org/wiki/Business_Process_Model_and_Notation
https://support.office.com/en-us/article/BPMN-Diagramming-Basics-393e3f0b-3c87-40e7-8d40-de6208a7bd71
http://dia-installer.de/shapes/BPMN/index.html.en
Comment 1 andreas_k 2020-03-08 21:41:32 UTC
BPMN shapes are ready and can ship with LibreOffice by default.

You can test the gallery with this extension
https://extensions.libreoffice.org/extensions/bpmn-gallery
Comment 2 Heiko Tietze 2020-03-09 10:39:16 UTC
I'd appreciate to ship this gallery as BPMN is well known. Push the binary, I will accept it if we have the sources somewhere, eg. attached to this ticket.
Comment 3 andreas_k 2020-03-11 22:09:38 UTC
Created attachment 158629 [details]
BPMN Template Draw file

attached the BPMN draw file. I draw all the shapes from the BPMN gallery with draw so the source of the gallery is the attached file.
Comment 4 Commit Notification 2020-03-12 06:56:29 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2e74fdc559eb1b7bab1a6661203400017f93b234

Resolves tdf#99675: Add BPMN images to the gallery

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Heiko Tietze 2020-03-13 17:12:06 UTC
Reverting the patch since it's not working.
Comment 6 Commit Notification 2020-03-14 09:22:45 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/dc26debf57e37a91f041e1972ee8027c49085e5f

Revert "Resolves tdf#99675: Add BPMN images to the gallery"

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.